FROM node:16

WORKDIR /app

# 安装项目依赖（包含开发依赖）
COPY package*.json ./
RUN npm install --include=dev --legacy-peer-deps

# 复制源码并构建
COPY . .
RUN npm run build:h5

# 生产阶段
FROM nginx:stable-alpine
COPY --from=build-stage /app/dist /usr/share/nginx/html
COPY nginx.conf /etc/nginx/conf.d/default.conf
EXPOSE 8333
CMD ["nginx", "-g", "daemon off;"]
